com.microfocus.zos.model

## Enum ExceptionAction

- java.lang.Object
- - java.lang.Enum<ExceptionAction>
  - - com.microfocus.zos.model.ExceptionAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExceptionAction>

      public enum ExceptionAction
      extends java.lang.Enum<ExceptionAction>

  Actions to handle an unexpected exception during an operation.
  Author:
    Ulf Caspers

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` abort the operation
    `IGNORE` ignore the exception and go on
    `RETRY` try the same operation again

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExceptionAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExceptionAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RETRY

          public static final ExceptionAction RETRY

      try the same operation again

    - #### CANCEL

          public static final ExceptionAction CANCEL

      abort the operation

    - #### IGNORE

          public static final ExceptionAction IGNORE

      ignore the exception and go on

  - ### Method Detail

    - #### values

          public static ExceptionAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExceptionAction c : ExceptionAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExceptionAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.